% This file was converted to LaTeX by Writer2LaTeX ver. 0.4.1a
% see http://www.hj-gym.dk/~hj/writer2latex for more info
%\documentclass{article}
%\usepackage{a4}
%\usepackage[ascii]{inputenc}
%\usepackage[T1]{fontenc}
%\usepackage[english]{babel}
%\usepackage{amsmath,amssymb,amsfonts,textcomp}
%\usepackage{color}
%\usepackage{longtable}
%\usepackage{hyperref}
%\usepackage{graphics}
%\usepackage{wrapfig}
% \usepackage{floatfig}

%\hypersetup{colorlinks=true, linkcolor=blue, filecolor=blue, pagecolor=blue, urlcolor=blue}
% Outline numbering
%\setcounter{secnumdepth}{2}
%\renewcommand\thesection{\arabic{section}}
%\renewcommand\thesubsection{\arabic{section}.\arabic{subsection}}
% List styles

% Page layout (geometry)
% \setlength\paperwidth{20.999cm}
% \setlength\paperheight{29.699cm}
%\setlength\voffset{-1in}
%\setlength\hoffset{-1in}
%\setlength\topmargin{2 cm}
%\setlength\oddsidemargin{2cm}
% \setlength\textheight{25.699cm}
%\setlength\textheight{24 cm}
%\setlength\textwidth{16.999cm}
%\setlength\footskip{1.0cm}
%\setlength\headheight{0cm}
%\setlength\headsep{0cm}
%\parindent 0pt
%\pagenumbering{arabic}
% Footnote rule
%\setlength{\skip\footins}{0.119cm}
%\renewcommand\footnoterule{\vspace*{-0.018cm}\noindent\textcolor{black}{\rule{0.25\columnwidth}{0.018cm}}\vspace*{0.101cm}}
% Pages styles
%\makeatletter
%\newcommand\ps@Standard{
%  \renewcommand\@oddhead{}
%  \renewcommand\@evenhead{}
%  \renewcommand\@oddfoot{}
%  \renewcommand\@evenfoot{}
%  \renewcommand\thepage{\arabic{page}}
%}
%\makeatother
% \pagestyle{Standard}
%\pagestyle{plain}
%\setlength\tabcolsep{1mm}
%\renewcommand\arraystretch{1.3}
% footnotes configuration
%\makeatletter
\renewcommand\thefootnote{\arabic{footnote}}
%\makeatother
%\begin{document}

% \section**{\centering Experiences with CDD's: Centralised operated Skolelinux installations at many schools}
% {\centering\bfseries Experiences with CDD's: \
% Centralised operated Skolelinux installations at many schools \par}

%\title{\centering Experiences with CDD's: Centralised operated Skolelinux installations at many schools}
%\author{Knut Yrvin -- Skolelinux/DebianEdu}
% SLX Debian Labs Nowray \newline
% Phone: +47 908 95 765. e-mail:
% \href{mailto:knuty@skolelinux.no}{knuty@skolelinux.no} }

%\date{April 12\textsuperscript{th} 2006}
%\maketitle

% {\centering
% Knut Yrvin, SLX Debian Labs Nowray -- April 12\textsuperscript{th}
% 2006\newline
% Phone: +47 908 95 765. e-mail:
% \href{mailto:knuty@skolelinux.no}{knuty@skolelinux.no} 
% \par}

%\setlength{\parskip}{.21 cm}

The Norwegian Ministry of Education and Research has founded a report
about free software in schools. It covers planing and deployment of
Skolelinux/DebianEdu that currently includes 234 Norwegian schools,
33,000 client machines, and 101,000 pupils and teachers.  The focus
is on technical issues, economy and organisation. There is also some
feedback on how the teachers use free software in their teaching.

The main conclusion is that no pedagogic, technical, or economical
objections using free software in schools remained valid. The numbers
show that the municipalities save more when running and maintaining
the schools ICT equipment centrally at many schools. The savings are
considerably lager with GNU/Linux then with Microsoft Windows. Market
prices show that the most cost efficient alternative are Skolelinux
diskless workstations. This is at least 40\% cheaper than to operate
traditional workstation pools (with thick clients).

Experiences from the municipalities show that the cost of running thin
clients (ltsp) is more cost efficient than thick clients because it
increases the lifespan on the hardware. Surprisingly, the cost of
running graphical terminals such as Citrix is the most expensive
solution. It is at least three times more expensive than Windows thick
clients when comparing prices in the market. When using graphical
clients such as Free NX the schools would get approximately the same
expenses with operating the system as with Citrix. 

The ICT coordinators in the different municipalities say that there
are considerable challenges when introducing computer tools in the
school.  The management at every school must establish a maintenance
regime and the teachers must learn to use computer tools actively in
the learning process. The activity have nothing to do with the
operating system in use. But the schools running free software can
afford more equipment, and the lower cost of maintaining the system
allows more resources to be used in teachers and the learning process.

%\setlength{\parskip}{0 cm}


%\setcounter{tocdepth}{10}
%\renewcommand\contentsname{Table of Contents}
% \section**{Table of Contents}
%\tableofcontents

%\bigskip

%\setlength{\parskip}{.21 cm}

% \section*[Methods]{Methods}
\section*{Methods}

We have used three qualitative methods to get the facts for this
report.  The first method is called action research. Together with the
Municipality in Oslo we have analysed using DebianEdu/Skolelinux as an
enterprise solution for all their 175 schools. The second method was
to interview the municipalities about their experiences in running
Skolelinux and other free software solutions in the schools. The third
method was to collect prices in the market both for Microsoft Windows
solutions and Skolelinux solutions.

This table shows the municipalities that reported their experiences
with centralised managed free software installations at many schools.

\begin{center}
\begin{tabularx}{\textwidth}{XXXXX}
\toprule
\textbf{Municipalities or City councils}&
\textbf{Numbers of locations}&
\textbf{Amount of users}&
\textbf{Amount of client machines in 2005}&
\textbf{Planned client machines in 2008}\\\midrule
\raggedright Hurum&9&1700&200&500\\\midrule
\raggedright Kongsvinger&9&2300&450&800\\\midrule
\raggedright Nittedal&10&3200&506&1093\\\midrule
\raggedright Oslo&175&75,000&&25,931\\\midrule
\raggedright Akershus&31&17,000&6000&6600\\\bottomrule
\end{tabularx}
\end{center}


\section*{Client technology}
There are many more client technologies than thin clients, graphical
clients, and workstations. There are also diskless workstation, laptops
and programs running in a web-browser with Macromedia Flash or Java.
And to complicate the matter even more, There are a variety of
combinations of the different client technologies. 

To get a better picture of the characteristics of client technology, and
to describe the pros and cons using the different solutions, we have
made a short list. The reason for this is to know if the clients
deliver what is expected when used as a tool in the classroom when
pupils solve different tasks.

\textbf{Skolelinux thin clients: }Employed with reused computers from
1995 (133MHz CPU) as thin clients with preferably PXE-boot on the
network card. No harddisk is required. Requires relatively powerful
servers to serves 50 thin clients (dual CPU, 4GB RAM, 100 Mbit/s
network) on a switched 100 Mbit/s network.

\begin{description}

\item \textbf{(+)} Give new life to old reused machines. No need to
install software on the client. Software is installed centrally on the
servers.

\item \textbf{(+)} Provides a unified infrastructure to users. The
clients have reasonable support for graphical applications including
sound support. Newer thin client solutions even supports USB memory
pen, digital cameras and other devices.

\item \textbf{(-)} Needs more (powerful) servers than other solutions,
but not as much as graphical Citrix or NX terminal solutions

\end{description}

\textbf{Skolelinux diskless workstations:} Use of reused machines from
the year 2000 and newer ({\textgreater} 450MHz CPU/256 MB RAM). A
harddisk is strongly recommended. Supports DVD, USB memory
pen, and other peripherals. A server can support 150 clients on a 100
Mbit/s switched network.

\begin{description}

\item \textbf{(+)} Gives life to newer reused machines, and brand new
machines. No need to install software on the clients. Software is
installed on one server. 

\item \textbf{(+)} It gives a single architecture solution with the lowest
maintenance cost

\end{description}

\textbf{Skolelinux workstations}\textbf{:} Reuse of newer
PC's from year 1997 (233MHz CPU/128MB RAM). It
requires local harddrive. Needs one server for \ network services as
home directory, print, Internet etc.

\begin{description}

\item \textbf{(+)} Few servers needed

\item \textbf{(-)} Has to maintain and update software on every client machine

\end{description}


\textbf{Windows workstations}\textbf{:} Reuse of newer
PC's from year 2000 (450MHz CPU/256MB RAM). It
requires local harddrive. The client machines should be of same type
and same production month to be easily managed with software updates
and such. The alternative is to use many software images for industrial
update of software when security patches and such are rolled out. This
gives more man hours adjusting the software for the different client
types. Needs one or two server for network services such as file
service, print, Internet etc.

\begin{description}

\item \textbf{(+)} Few servers needed

\item \textbf{(-)} Has to maintain and update software on every client machine


\item \textbf{(-)} Needs client machines that is the same production month for
all the machines to keep the maintenance cost low.

\end{description}

\textbf{Skolelinux graphical terminals}\textbf{;} with NX
technology. It is possible to reuse machines from 1995 and newer (133
MHz CPU). The requires relatively more powerful servers, and more
bandwidth to the schools. I.e.  when the servers are located
remotely. The schools also need a local servers for software
maintenance on the client machines as well. In practice the graphical
terminals has to maintained as workstations with local software. In
addition the user application runs on remote servers that gives two
structures for software maintenance and extra use of servers and
network capacity. 

\begin{description}

\item \textbf{(+)} Give new life to older hardware 

\item \textbf{(-)} More servers needed and you'll have to maintain
software on every client.  That's two solutions for
distributing software

\item \textbf{(-)} Limited support for sound and graphical
applications such as video clips and small games etc. Especially when
the servers are reside in central remote locations.

\end{description}

\textbf{Windows graphical terminals}\textbf{:} With NX, Citrix or
rdesktop technology it is possible to reuse machines from 1995 and
newer (133 MHz CPU). This requires relatively powerful servers, and
more bandwidth to the schools when the servers are remote. The schools
also need a local server for software maintenance on the client
machines, that in practice is a workstation with a graphical
client. It has almost the same characteristics as graphical terminals
with Skolelinux.

\begin{description}

\item 
\textbf{(+)} Give new life to older hardware

\item \textbf{(-)} More servers needed and you'll have to maintains
software on every client.  That's \ two solutions for
distributing software.

\item \textbf{(-)} Limited support for sound and graphical applications such
as video clips and small games etc. This is especially when the servers
are placed centrally.

\end{description}

\textbf{Skolelinux laptops}\textbf{:} Use of \ newer
PC's from year 2000 (233MHz CPU/128MB RAM). It
requires local harddrive. Needs one server for network services as home
directory, print, Internet etc.

\begin{description}

\item \textbf{(+)} Few servers needed

\item \textbf{(-)} Has to maintain and update software on every client machine. And it has to be a bit more secured when connected to the network. 

\item \textbf{(-)} Laptops are expensive to maintain because of the rough use
for the machines that gives short lifespan.  
gives more work.

\end{description}

This tables give some recommended settings for different types of
clients. But first we have to remark on the minimum requirement. It is
totally possible to run Microsoft Windows 2000 or Debian Woody on a PC
with 64 MB RAM. \ But it is not usable with an office suite, web
browser and a email client. Even with 128 MB RAM on a Windows 2000 PC
we have experienced warnings or rejection when printing PDF-formatted
documents. ICT operators say the virus scanner uses memory and CPU
power. So here is the recommended minimum requirement for hardware that
give usable functionality. 


\bigskip

\begin{center}
\begin{tabularx}{\textwidth}{lXXXX}
\toprule
\textbf{System}&\textbf{Skolelinux thin client}&
\textbf{Skolelinux PC \textsuperscript{1)}}&
\textbf{Skolelinux diskless workstation}&
\textbf{Windows~2000 PC\textsuperscript{1}}\\\midrule
CPU&133 MHz&233 MHz&450 MHz&450 MHz\textsuperscript{2)}
\\\midrule
RAM&32 MB&128 MB&128 MB&256 MB\\\midrule
Harddisk&-&1.2 GB&0.5 GB\textsuperscript{3)}&2 GB\\\midrule
Introduced
&June 1995&May 1997&August 1999&August 1999\\\bottomrule
\end{tabularx}
\end{center}


\begin{enumerate}
\item Could also be used as a client for graphical clients as Citrix,
Free NX or rdesktop.
\item Needs more CPU power to handle the virus scanner
\item Small harddisk for local swap is highly recommended \ 
\end{enumerate}
The maintenance and operational cost for a computer network depends on
the number of concurrent users and the number of machines and services
in use. The routines for software installation and updates have affect
on the operation and maintenance cost. The amount of servers also
affects the maintenance cost.

\subsection*{Software}

Experiences with software usage is that it varies a lot. Some schools
have up to 80 different software programs installed on the
system. Others have started with 20 and increased it to 50 after
different requests from the teachers. Some municipalities have also
installed 7-8 Windows applications that are runs with Wine on the
Linux thin clients.

The numbers of free software programs for use in schools is
increasing.  Often it may even seem to be to many programs
available. Many ICT-coordinators does an extra job to reduce the
amount of programs. It is also an important trend that pupils uses the
web browser a lot. The browser is probably the most important tools
when using computer programs.

The numbers of user programs that only support one operating system is
decreasing. Important examples are FireFox and OpenOffice.org that
replace proprietary software. Other programs for use as web
applications for use in schools are delivered as web applications for
the web browser.  The vendors cannot overlook the fact that the use of
FireFox is increasing, and they recognise that they must support
different platforms to not loose market shares.

When it comes to integration there are two important issues. The first
is about using OpenDocument file format. A lot of pupils have access
to their parents PC's at home. One or both parents
has a PC from their employer with Microsoft Office. The parents wont
allow the pupil to install OpenOffice.org on their PC. And that gives
some objections concerning use of OpenDocument. There are two
strategies to work around this. The one is to set Microsoft Word as
the standard format when saving in OpenOffice.org at the schools. The
second is to explain to all the parents how they should handle this
issue. Secondary schools save with OpenDocument as the standard
because older kids are more experienced to handle different file
formats compared to younger pupils.

The other integration issue is combining of different
Linux-distributions or integrating with Microsoft Windows. Experiences
show that it is really easy to connect serves with K12LTSP onto a
Skolelinux network. The same for Windows PC's which
can be connected to the Skolelinux servers with SAMBA
out-of-the-box. When it comes to the City Council of Akershus they
have a Windows network with Active Directory. They connect Skolelinux
thin client servers to that net with a tailored SAMBA connector made
for all their 31 schools. That way they can reuses a lot of client
hardware that would have to be thrown away if they had to run only
Windows. Also Mac PC's from Apple are able to connect
to the Skolelinux net following a simple howto. There are also
solutions to connect Skolelinux thin client server to a net based on
SuSE Novell. This table gives an overview of different client
solutions that can be easily integrated into a Skolelinux network:


\bigskip

\begin{center}
\begin{tabularx}{\textwidth}{ll}
\toprule
\textbf{Server solution}&
\textbf{"Client solution"}
\\\midrule
Skolelinux&Skolelinux Lessdisk Workstation (LTSP)\\\midrule
Skolelinux&Skolelinux thin clients (LTSP)\\\midrule
Skolelinux&Skolelinux Workstation\\\midrule
Skolelinux&Windows Workstations \\\midrule
Skolelinux&Free NX (Citrix)\\\midrule
Skolelinux&Mac OS X\\\midrule
Skolelinux&K12LTSP (LTSP server)\\\midrule
Windows 2000/2003 Server with Active Directory&Skolelinux thin client server\\\midrule
Skolelinux&Linux laptops (Kubuntu, Skolelinux, etc.)\\\midrule
SuSE Novell with eDirectory&Skolelinux client server\\\bottomrule
\end{tabularx}
\end{center}
Remember that laptops are expensive to maintain 

The last technical issue is that OpenOffice.org, FireFox and some of
the windows systems are bloated. This results gives in more expensive
memory usage on the servers and the client machines without giving
real usability.  Some of the municipalities have changed their
Windows Manager to ICEwm. Others have replaced OpenOffice.org with
Koffice to get an easier to use editor when writing short text
documents. The teachers say it is not a big problem.

The pupils don't really need a fully fledged office
suite made for office employees when using ICT tools in lower grades.
Most of the pupils uses computers for something other than using
spreadsheets and presentations. This is the same situations for
grown-ups. Most the work done with computer tools at the workplace is
done by tailor made professional tools\footnote{\textup{A Journal du
Net:
}\href{http://solutions.journaldunet.com/0409/040915_etude_postedetravail.shtml}{\textup{http://solutions.journaldunet.com/0409/040915\_etude\_postedetravail.shtml}}\textup{
}} with 42\% in the service oriented sector and 89\% in the industrial
sector. 15\% of the time when using the PC is used on a word processor
and 2\% of the time on a spreadsheet. So the office application are
used 17\% of the average time on 2~h:15~min spent in front of the
computer. 

The pupils use computers to make music, sending drawings to school
classes abroad, and to learn to write (decode the words). \ So here
lightweight technologies meets usability for pupils in the lower
grades. 

To sum up the situation with software. Some schools use a lot of free
software. But the real killer application is the web browser with
different online tools tailor made for teaching. Second comes the
office application. That's because a lot of teachers
believe the pupils needs to learn an Office suite, but a lot of
teachers prefers more lightweight applications. It is issues with
handling OpenDocuments at the schools when the pupils parents has a
job computer at home with MS Office. This has to be
addressed. Experiences from most of the municipalities and city
councils is that they integrate different solutions in a cost
efficient way.

The first one is that more and more applications are made platform
independent by serving them through a web server or that applications
is usable with platform independent libraries (Qt, Gtk\#, Java). 

\subsection*{Investments in equipment}
This table shows the real investment in terminal technology and servers
in three of the municipalities. The cost of building the network and
switches are not included. But the cost for every connection is pretty
standard with 255 Euro for every PC, that gives cost at of 54 Euro
annually over a 5 year period (with 2\% interests).



\begin{flushleft}
\textbf{Hardware investments to 2005}
\begin{tabularx}{\textwidth}{lXXX}\toprule
\textbf{Art}&\textbf{Nittedal}&\textbf{Hurum}&\textbf{Kongsvinger}\\\toprule
Client machines (amount)&
\# 506&\# 200&\# 450\\
Servers (amount)&\# 11&\# 10&\# 20\\
Purchase of reused client machines&17,818&8,909&26,727\\
Purchase of new client machines&18,327&30,545&45,818\\
Purchase of new servers&75,568&26,600&63,636\\
Software Licences&&&\\
Hardware investments&111,713&66,054&136,181\\\midrule
Network switch, electric switch&128,799&50,909&114,545\\\midrule
Training cost of ICT contacts and operators&7,636&2,545&6,873\\
\textbf{Total}&\textbf{248,148}&\textbf{119,508}&\textbf{257,598}\\\midrule
\textbf{Hardware and training for each client}&\textbf{236 Eur}&
\textbf{343 Eur}&\textbf{318 Eur}\\
\textbf{Network switch, electricity each client}&\textbf{255 Eur}&
\textbf{255 Eur}&\textbf{255 Eur}\\
\textbf{Annually cost over 5 year}&\textbf{104 Eur}&\textbf{127 Eur}&\textbf{121 Eur}\\\midrule
Euro (100 EURO = 785.72 NOK)&7.86&&\\\bottomrule
\end{tabularx}
\end{flushleft}

\bigskip

The municipality of Nittedal has the lowest investment cost in client
hardware compared with the number of clients. The reason for this is
that they have reused more equipment than the other municipalities.
They do a bigger effort in getting reused PC's from
the administration, install network cards with PXE (Preboot eXecution
Environment (Intel)). This is done by the local ICT contact at each
school. Other municipalities does this work with their central staff
at the ICT service at the town hall.

The ICT service in the different municipalities also report the prices
of hardware in the marketplace. Graphical terminals tailor made for
Windows cost between 381 -- 445 Euro (without a monitor). A tailor made
Linux terminal cost 234 Euro with a reused monitor. Reused client
machines cost between 115 -- 210 Euro with monitor. Adding on a new
server and the necessary switches you get a package that can be bought
with Skolelinux out of the box. Solution prices from the
InOut\footnote{InOut reseller of reused computers:
\href{http://www.inout.no/skolelinux/}{http://www.inout.no/skolelinux/}
}, a reseller of reused computers to schools with server(s) and
switches: 

\begin{center}
\begin{tabularx}{\textwidth}{ll}
\textbf{Skolelinux solution with 100 complete clients}&
\textbf{Economical package with 10 complete clients}\\\toprule
2 servers (new). Installed and configured&1 server (new). Installed and configured\\
\# 100 client (PC, monitors, keyboard, mouse)&\# 10 client (PC, monitors, keyboard, mouse)\\
Network switches (reused)&Network switches (reused)\\
Pedagogic software&Pedagogic software\\\midrule
Price for the package (w/o wat) 24,945 Eur&Price for the package (w/o wat) 3,169 Eur\\
Price for each client (w/o wat)  249 Eur&Price for each client (w/o wat) 317 Eur\\\bottomrule
\end{tabularx}
\end{center}
In Norway also FAIR\footnote{FAIR (Fair Allocation of Infotech
Resoruces)
\href{http://www.fairinternational.org/}{http://www.fairinternational.org/}
} (Fair Allocation of Infotech Resources) helping the developing world
with supplying reused ICT equipment to schools. Some of that equipment
has Skolelinux installed\footnote{Skolelinux from Norway to Eritrea in
Norway's largest ICT transfer ever:
\href{http://europa.eu.int/idabc/en/document/3355/469}{http://europa.eu.int/idabc/en/document/3355/469}
}. \ as this newspaper article shows. They doing quality assurance of
the computers in Norway before they are shipped to other countries. The
French charity Emmaus also providing reused computers to public and
private institutions. They are actively participating in the Skolelinux
project from
France\footnote{\ \ \href{http://schlossgul.org/wakka.php?wiki=PagePrincipale}{http://schlossgul.org/wakka.php?wiki=PagePrincipale}
}. 

\section*{Running cost}
Running cost depends on various factors. The most noticeable are the
amount for concurrent users, and how the software is distributed. Where
the servers and services are placed has some influence on the
operational cost. And what kind for service level agreement
that's required. But first some background to
understand the running cost of the ICT services that operates
Skolelinux in all or many schools in their 

\textbf{\textit{Reactive problem control}} is to fix the problems when
it appears. If the computer is infected by a virus one of the common
strategies is to reinstall the system. Does the pupil want a program
found on the Internet, it is just to install without asking if the
program is relevant to for teaching purposes. 

\begin{description}
 \item
Advantage 1: Could be reasonable running cost if every computer has the
same version of the operating system. For Windows it is necessary to
have identical machines for efficient handling of image technologies. 
 \item
Advantage 2:  The schools could have stored ready-to-use
PC's that could replace faulty machines. 
 \item
Disadvantage:  The consequence of different incidents demands a lot for
work or gives long delays before it is fixed. E.g full disks. 
\end{description}

\textbf{\textit{Proactive problem control}} is to detect and fix the
errors before the users experience it. One example on proactive problem
control is to update disk image every night or weekly. When the pupils
log into the system the day after, everything is like the school
teachers want's it. The ICT operator get warnings
about errors and such, and fix the problems before the users \ notice
that some thing's are wrong. E.g the ICT operator gets
a warning that a one of the mirrored disks is corrupted, and needs to
be replaced. 
\begin{description}
\item Advantage 1: The system gets high uptime and stability given the right
tools and skills to run such an operation. It gets more easy to handle
more amount of computers \ 

\item Disadvantage 1: Expects more skills running the solution. Gives more
cost when establishing and operating the solution. 

\item Disadvantage 2: Proactive is more expensive than reactive problem
control. What to choose depends on the consequences when the system is
down. It is difficult to calculate the cost of lost work in the
classroom if the tools don't work. Does the users want
little downtime, it is necessary to invest in high uptime. 

\end{description}

{\mdseries\upshape
In general reactive problem control is not recommended if the goal is to
have satisfied users. The only argument in favour for a reactive
operation is (1) price or (2) lack of resources and/or competence.
Reactive maintenance is not a thing that is chosen. It is something
that is enforced on the schools. \ }

\textbf{\textit{Scalability}} is important for how to get the most of
the investment. When the number of machines increases the cost could
rise more than linear. A lot of things has to be taken care of \ when
centralising the ICT operation. One of the most important factors when
centralising is network capacity. But also where to place the services.


The Norwegian Educational Communications and Technology Agency gives
this advice about placing services. \\

\begin{longtable}[c]{p{4cm}|p{4cm}|p{4cm}|p{4cm}}
\toprule
\textbf{General recommendations to improve the client operation}&
\textbf{Thin clients }
\textbf{Lockdown of the clients}
\textbf{Local servers}
&
\textbf{Remote operation}
\textbf{Centralisation of certain services}
&
\textbf{Reginal or national servers}
\textbf{Centralisation of all maintenance}
\\\midrule
The network capacity&Low bandwidth (IDSN)&Medium bandwidth (ADSL etc.)&
High bandwidth (Fibre 1 Gbit/s)
\\\bottomrule
\end{longtable}

\bigskip

The services that can be handled centrally independent on the bandwidth:


\begin{itemize}
\item Configuration management. E.g to have control over the
configurations of machines, network, programs and services
\item Software management. To have an overview and control on the use of
programs and if the performance of programs and services
\item Updates and security patches
\item User administration. In the nordic countries the governments has
got together to make a common LDAP schema for pupils. In Norway this is
a part of the Federated Electroic Identety management\footnote{FEIDE -
Federated Electronic Identity:
\href{http://www.feide.no/index.en.html}{http://www.feide.no/index.en.html}
\par }
\item Licence administration
\item Surveillance and measurements 
\end{itemize}
Service level is also a part of the solution. Does the ICT service
provide reactive problem management or proactive? What is expected when
things go wrong. The ICT coordinator for the schools in Akershus City
Council says that the don't want to pay for the extra
cost for fail over. If a disk fails on a server when doing the exam,
they would use the day to change the disk, and restore from backup. It
is the same they do if one school has water leakage. That has happened.
They fix it, and the next day they carry through the exam. The city of
Oslo has a service level agreement with guaranteed uptime, and expected
recover after machines crash or goes off-line. The guarantees is valid
for approved workstation hardware, not for graphical Windows clients
(Citrix) on reused computers. 

The graph Server Client Ratio gives an overview on the amount of
standard servers that are needed for different client solutions. The
example is based on 5 schools with 320-450 pupils and 90 clients at
each location. The graph is based on real life experiences when
running different client solutions at many schools in Oslo, the main
city of Norway.

    \begin{figure}
    \begin{center}
    \scalebox
    {0.9} % h_length
    {
    %\resizebox{5in}{2in}
    \scalebox{0.3}{\includegraphics*{images/fig1-amount-servers}}
    
    }
    \end{center}
    \caption{
    Server Client Ratio
    }
    \label{ServerClientRatio}
    \end{figure}




It is mostly technical reasons for the different number of servers
with the same amount of clients. In the City of Oslo they mainly have
2-8 Mbit/s broadband to the schools with their graphical terminals on
Windows solution. They also have to support workstations to multimedia
applications because of the limited performance on graphical clients
when using multimedia. Then they has to place out two servers at every
school. This is in addition to the centralised placed servers to run
the applications that is distributed with graphical terminals to the
schools.

With use of graphical terminals the ICT service also get two
architectures with running the software, maintenance and updates. The
software runs on central servers and the ICT service also has to
maintain software on local reused machines and workstations. This
gives most of the explanation behind why the operational cost is
notably higher with graphical terminals with Citrix or Free NX than
other client technologies. That said does some municipalities support
Free NX clients to pupils that have Windows or Linux at home as an
additional service. It is easy to set up and the ICT staff
don't need to maintain the client machines at
home. If nothing works at home, they don't need to
support it.

\subsection*{Operator cost in 2005}

The tables that follow gives an overview of the positions and man-hours
used to maintain and run the ICT system at the schools in our survey:


\bigskip

\begin{center}
\begin{tabularx}{\textwidth}{p{3.3cm}XXXX}
\toprule
\raggedright\textbf{Municipalities City Councils}&
\textbf{ICT operator centrally}&
\textbf{ICT pedagogic coordinator}&
\textbf{ICT contact at every school}&
\textbf{Sum}\\\toprule
Municipality of Hurum\newline
(200 clients)
& position&&
8 \% position

(2:40 h a week)
&1,9 positions
\\\midrule
Municipality of Kongsvinger\newline
(450 clients) 
&position&position&
10 \% position

(3:20h a week)&1,2 positions
\\\midrule
Municipality of Nittedal\newline
(506 clients)&position&position&
6 \% position

(1-2h a week. Request for 4h a week)
&1,6 positions

(request for \ increasing ti to 2,1 position )
\\\midrule
City of Oslo \ \ \ in 2008\newline
(25~931 clients)&External ASP&2 positions&30 \% position&*\\\midrule
Akershus City Council\newline
(6~600 clients)&&80 \% position&70-80 \% position. Some also have apprentice&
*\\\bottomrule
\end{tabularx}
\end{center}
clients = client machines

With help of the three of the municipalities we got the overview of the
operator cost in 2005: 

\begin{flushleft}
\textbf{Operator cost in 2005 with a Skolelinux network}\\
\begin{tabularx}{\textwidth}{p{5cm}XXX}
\\\toprule
\textbf{Art}&\textbf{Nittedal}&\textbf{Hurum}&\textbf{Kongsvinger}\\\midrule
Number for clients&\# 506&\# 200&\# 450\\
Central operator&25,773&25,773&25,773\\
ICT instructor&25,773&&25,773\\
ICT contacts&29,454&35,345&53,946\\
External support&19,091&7,636&12,727\\
Training&28,000&&25,454\\
Sum&128,596&68,954&144,122\\\midrule
\textbf{Running operational cost/PC}&
\textbf{254 Eur}&\textbf{345 Eur}&
\textbf{320 Eur}\\\midrule
\textbf{Central operator cost/PC}&
\textbf{89 Eur}&\textbf{167 Eur}&
\textbf{86 Eur}\\\midrule
Euro (100 EURO = 785.72 NOK)&7.86&&\\\bottomrule
\end{tabularx}
\end{flushleft}


It is some important things to say about the persons that runs the ICT
operation, and their different roles. The most important is the
division of work done helping teachers using the ICT tools in
education. That's often a totally different effort
than build, operate and maintaining the ICT installations. So most of
the municipalities has this arrangement with dividing the pedagogic
effort and the technical. Some of the municipalities have a teacher
with grate ICT skills with e.g certification in Red~Hat and years of
experience running Windows. Then they use that person as a project
leader building up the operation. 

In short the different roles are \textbf{\textit{ICT instructor
}}\textmd{\textup{or a}}\textbf{\textit{ coordinator}}. This person
works with the pedagogical aspects helping out headmasters and
\textbf{\textit{ICT contacts}} at the schools motivating teachers to
use ICT tools in their teaching. ICT contacts helping out with
technical issues as changing defect client machines, replace a broken
keyboard or giving feedback about different request for software and
services. The \textbf{\textit{Central Operator}} is in general a person
that works in the ICT service housed a central place in the
municipalities. 

\subsection*{Total running cost in 2005}
This graph shows the total running cost in 2005 for three of the
municipalities we have investigated. 


    \begin{figure}
    \begin{center}
    \scalebox
    {0.9} % h_length
    {
    %\resizebox{5in}{2in}
    \scalebox{0.3}{\includegraphics*{images/fig2-running-cost-2005}}
    
    }
    \end{center}
    \caption{
    Total running cost 2005
    }
    \label{RuningCost2005}
    \end{figure}


The graph clearly shows that the biggest running cost for the work done
by people is about 60-70\% of the total running cost. The equipment
cost annually around 30-40\% of the whole operation. 

\subsection*{Total operator cost in 2008}
The City of Oslo has at least 10 schools that runs Skolelinux today.
Some of them got an external service provider to operate the solution
with competitive prices. When calculating the future cost of a
enterprise Skolelinux solution this was taken into account. We also
used the experiences serving 70.000 users accounts with e-mail, backup
and single signon on 5 platform at The University of Oslo. Doing that
we got a solution that was in accordance with the requirement from the
City of Oslo. 

The City also had a external service provider with an 5 year agreement
to run and maintain the client machines and serves in the Schools. So
the prices running todays Windows based system is known from the
contracts with the educational department in Oslo. With this in mind we
asked what the running operation would be for the other municipalities
in 2008. Most of the municipalities had wide expansion plans already
decided. The budgets was also in place. So here are the numbers: 


\bigskip

\textbf{Operator cost in 2008}\\
\begin{tabularx}{\textwidth}{p{4.5cm}XXXXX}
\textbf{Art}&\textbf{Nittedal Skolelinux}&
\textbf{Hurum Skolelinux}&\textbf{Kongsvinger Skolelinux}&
\textbf{City of Oslo Skolelinux}&\textbf{City of Oslo Windows}
\\\toprule
Number for clients&\# 1,093&\# 500&\# 800&\# 25,931&\# 25,931\\
Central operator&25,773&25,773&25,773&&\\
ICT instructor&25,773&&25,773&51,545&51,545\\
ICT contacts&117,817&70,690&107,891&2,705,799&2,705,799\\
External support&7,636&7,636&12,727&3,326,885&6,283,409\\
Training&28,000&&25,454&79,545&7,545\\
Sum&206,092&104,599&198,418&6,163,773&9,120,297\\
\textbf{Running operational cost/PC}&\textbf{189 Eur}&
\textbf{209 Eur}&\textbf{248 Eur}&\textbf{238 Eur}&
\textbf{352 Eur}\\\midrule
\textbf{Central operator cost/PC}&\textbf{31 Eur}&\textbf{67 Eur}&
\textbf{48 Eur}&\textbf{130 Eur}&\textbf{244 Eur}\\\midrule
Euro (100 EURO = 785.72 NOK)&7.86&&&&\\\bottomrule
\end{tabularx}

~\newline

One important issue is that the enterprise Skolelinux solution designed
for Oslo will have requirements for service level
that's higher than the other municipalities. It also
has different client solution with Skolelinux diskless workstations.
The latter is not on to on comparable to the Citrix graphical clients
or workstation with Windows most of the schools uses in Oslo today.
Most of the other municipalities are heavily users of Skolelinux thin
clients with LTSP. The cost of running this in Oslo it is not much
higher than diskless workstations, but it is some more expensive. 

That said the graphs shows that the operational cost without hardware an
network will decrease compared to the situation in 2005. The reason for
this is mainly the scalability built in in the Skolelinux architecture.
A central ICT operator is able to scape it is effort to handle an
doubling of client machines without doubling the amount of work hours. 

    \begin{figure}
    \begin{center}
    \scalebox
    {0.9} % h_length
    {
    %\resizebox{5in}{2in}
    \scalebox{0.3}{\includegraphics*{images/fig3-running-cost-2008}}
    
    }
    \end{center}
    \caption{
    Planned operational cost in 2008
    }
    \label{PlannedCost2008}
    \end{figure}


\subsection*{Market prices }
In the summer 2005 we called some companies that provides professional
support to schools with maintenance agreements. They act as standard
application service provider serving customers running Windows systems
or Skolelinux based solutions. We asked for the marked prices and how
the prices varied depending on the numbers of supported clients. The
reason application providers look to the number of clients is that this
produces most of the work when supporting the ICT contact at the
school. 

Also the number of servers and the places where software is updated
determine the prices as we can see from the prices concerning
\ graphical terminals. The cost for the local ICT contact at every
school ICT instructor is not calculated in. The cost for the network
switches, electricity and broadband is not calculated in either. When
doing this limitations the operational cost really shows the difference
with different client solutions and some advantages running more
clients at the same site. 

\subsection*{Conclusions about costs}
The calculations and analysis done by the City of Oslo shows that it is
cheaper to run a ICT solution in the schools maintained from a central
place with local ICT contact helping out with easy tasks. A enterprise
solution with Skolelinux is considerable cheaper to operate than a
Windows solution. 

\begin{figure}
  \begin{center}
    \scalebox
    {0.9} % h_length
    {
    % \resizebox{5in}{2in}
    \scalebox{0.3}{\includegraphics*{images/fig4-annually-cost-marked}}
    
    }
  \end{center}
  \caption{
    Annually operator cost for each client
  }
  \label{AnnuallyCost}
\end{figure}

Experiences with centrally operated Skolelinux solutions in schools is
that the operating cost is decreeing a little for every client machine
when increasing the amount of PC's. That tells us that
the solution is scalable when it comes to operational cost. The task
helping users at every school is connected with concurrent users. This
job is mainly done by the ICT contact. When increasing the amount of
client machines from 50 to 100 the extra workload should not not be
increased to more than a day a week when running a Skolelinux solution
managed from a central ICT service. 

When it comes to marked in the marked it shows that Lessdisk
Workstations (lessdisks\footnote{The Lessdisks project:
\href{http://lessdisks.sourceforge.net/}{http://lessdisks.sourceforge.net/}
} or LTSP\footnote{LTSP MueKow project:
\href{http://wiki.ltsp.org/twiki/bin/view/Ltsp/MueKow}{http://wiki.ltsp.org/twiki/bin/view/Ltsp/MueKow}
}) are 44\% cheaper to operate than any other client solution. Windows
and Skolelinux workstations comes on a second place when using reused
computers and not calculate in the extra expenses with different
machines and the software licences using software from Microsoft. To
keep the operational cost with Windows low identical machines is
recommended, and that's difficult over a period in 1-2
years because the manufacturer changes the hardware specifications all
the time. 

The thin client alternative with Skolelinux is cheaper than workstation
in smaller installation or when reusing hardware as the main strategy
at all the schools, as the municipalities shows us. The most costly
alternative is graphical terminals with Windows (Citrix). 

\section*{The risks}
Before saying anything about technical risks, I'll
focuse on the teachers role and competence. 

The biggest risk when introducing software in the classroom is the human
factor. An ICT service or a developer seldom know the requirements for
use of software in the classroom. Technicians are often over-focuses on
technical aspects. The teachers or principals are not specially known
with use of software as a tool when teaching. Some teachers also use
the computers as a reward for pupils that's fast in
solving equations on paper in the math class. 

Others don't really know where to start and they end up
using computers to present traditional learning material with
presentations made in OpenOffice.org or MS PowerPoint. Some ICT
instructors have expressed they concern by this story: 

We have placed out the ``car'' in the classroom. Now the teachers has to
learn to drive it. Or else it is just a expensive toy, that is standing
there with the screensaver on. 

In Norway it is regulated by law that the employed and the union
representative should be kept oriented about the systems that are
\ used to plan and to do the job, also planned changes in such systems.
Training should be provided to get to know the systems, and they should
participate in developing the solutions. 

There are big differences in the results in teaching the teachers even
if it is used a considerable amount of resources on this. In the
municipality in Nittedal the priorities to the headmaster is important.
A centrally placed ICT instructor in half a position has difficulties
reaching out to 100 teachers in 10 different schools. Therefore they
need external resources. For the teachers to following up the courses,
it has to be set aside time to that. The work with learning ICT has to
be followed up. Learning in small groups with 3 to 4 teachers has been
more successful than individual self study. The headmaster has to
motivate the teachers. Nothing of this are dependent on operating
system. Skolelinux is not more difficult to learn than Windows the ICT
instructors says. 

When it comes to the ICT operators few of them was known to Linux or
Unix before they started. They taught them selves, used informal
networks, and spread the knowledge when rolling out the solution at
the schools. The local ICT contacts also lean from the ICT operator
when visiting the schools doing maintenance. The cost of this is
usually covered by the ordinary measures. Even if there are
differences in background and experiences with the ICT operators
running Skolelinux centrally, they have all got help on e-mail lists
and tips over Internet.

\subsection*{Stability, security and upgrades}
The municipalities report 100\% uptime between 8 and 16 hours when there
are pupils and teaching at the schools. It has been downtime at some of
the schools because of some network plugs that was not properly
connected to the network card. When it comes to handling viruses some
of the municipalities has installed Clamav\footnote{Virus scanner
Clamay:
\href{http://sourceforge.net/projects/clamav/}{http://sourceforge.net/projects/clamav/}}.
It has not been any virus attacks on Skolelinux. But they have
identified some Windows worms that was aimed at MS Internet Explorer. 

There are some activities to stop unwanted web-sites with the firewall.
The are routines where the teachers reports unwanted web-sites, and the
ICT operators submit this sites to the firewall. 

When it comes to password handling it is important to have easy password
for the pupils in the lower classes. Also it is almost an requirement
that teachers can change password for pupils that has forgotten it. It
is to much work sending a request about password to the central ICT
operator to send this back to the teacher that then gives it to the
pupil. So there are essential to have a delegated function that
teachers could change pupils password without root access. 

At last there are not wise to upgrade the installations in the schools
semester. The municipalities most of the times does upgrades at the end
of the semester, in the schools holidays. It is recommended to use the
stable and same version of Skolelinux on all the machines.
That's makes less worries. 

\subsection*{Integration and user programs}
When it comes to integration there are a lot of possibilities that are
in use. One of the municipalities uses Skolelinux as the main server
and K12LTSP as the LTSP solution. It is connected to the authentication
service in Skolelinux LDAP with a standard Red~Hat tool. Others use
Skolelinux as a thin client server in a Windows 2000/2003 network
integrated with Samba. A lot of schools connects Windows Workstations
to the Skolelinux network. 

A lot of questions are asked about the user programs. The municipalities
that uses Skolelinux has no special concerns when it comes to most of
the programs used in the classroom. Mostly because of the widely use of
the web browser to gather information, or use of platform independent
web applications. 

But when it comes to OpenOffice.org there are some practical issues
trying to open OpenDocument in MS Office at the home computer where one
of the parents has got Microsoft programs from their job. They
don't want to install OpenOffice.org. The schools and
municipalities has 3-4 strategies handling this. Some municipalities
just use OpenDocument as default and sending the pupils a CD home with
OpenOffice.org. 

Other places the teachers explains at the parent meetings that the real
problem is that Microsoft does not really interoperate with the world
because the pupils don't have problems with MS Office
documents at the school. The problem is at home, so they should really
install OpenOffice.org. \ Not all are able to explain this, so some of
the schools just set MS Office as the default storage format when using
OpenOffice.org at the school. With OpenOffice.org 2.0 that
don't produces any problem the municipalities reports.


When it comes to web applications in Norway the most important vendors
testing their application against different Linux distributions as
Skolelinux and Red~Hat. Also The Ministry of Government Administration
and Reform requires that every governmental services on the web should
be accessible with open standards\footnote{\ Open Source in the
Norwegian Government:\par
\ \href{http://opensource.phpmagazine.net/2006/04/open_source_in_the_norwegian_g.html}{http://opensource.phpmagazine.net/2006/04/open\_source\_in\_the\_norwegian\_g.html}
}. This policy has broad political support both from the left, right
and the centre in the political landscape\footnote{\ Norwegian
Minister: Proprietary Formats No Longer Acceptable in Communication
with Government:
\href{
http://europa.eu.int/idabc/en/document/4403/469
}{
http://europa.eu.int/idabc/en/document/4403/469
}}.
\ From a commercial point of view there are now risky to not support
open standard and say no to potential costumers in public sectors that
stands for around 20\% of all the acquisitions in Norway. 

\subsection*{Translation}

Norwegian is a little language in an international perspective with
4,6 million inhabitants and two official languages.  In addition Sami
is a co-official language of six municipalities and Finnish is used in
one municipality. When most of the computer programs are almost
instantly translated into the languages who many speaks as German,
French or Russian, proprietary vendors don't see the
need for translate their applications into the two official languages
in Norway.

So what's done voluntarily has an impact. The
Norwegian bokm{\aa}l and nynorsk has good translation both in KDE and
GNOME. KDE was translated to nynorsk in 2001. This inspired to
translate OpenOffice.org to the two Norwegian languages. Then the
Norwegian parliament decided in 2004 that every program used in
education should be available in both the official Norwegian
languages. Many says that this was possible because of the results
done by the voluntaries.  Since OpenOffice.org is translated it's used
at many schools, also on Windows. And a lot of pupils copy it freely
to use it at home.

There are initiatives that have professionalised the translating
effort for some applications. e.g there is established a foundation
for promoting free software office applications. They handles the
translation of OpenOffice.org to Norwegian bokm{\aa}l and nynorsk. The
cost doing this is just a fraction of what the City Councils pays for
Microsoft Office in the secondary schools. The average cost to
translate and maintain the OpenOffice.org translation for two
Norwegian languages cost 254~544 Euro
annually. That's just a 4 to 5 times less than MS
Office licences cost in most of the secondary schools in Norway, and
then we are speaking of the special prices in the education.

Even if most of the free software in use at the schools are translated,
some municipalities conclude that it is has some risks to be dependence
on the voluntary effort. There has to be done work to maintain the
translation in free software and the translation work and quality
insurance of the translations should be paid for. 

\subsection*{Licence revision}

In 2004 the City Council in Akershus paid external consultants 31~818
Euro to count Microsoft licences at 31 schools. They also had the same
cost internally to aid the counting done by the external firm. The
municipalities that runs Windows tells they use 1-2 days a month to
keep track of their licences in their schools, and 3-4 weeks when they
do a licence revision. When we also know that a central ICT operator
often has half a position to maintain 500 client machines at 9-11
schools, at least 2-3 weeks is used counting licences annually. 

This practice has really upset some of the municipalities. The
municipalities that are using free software have no extra cost
concerning licence revision. As a marketing effort Microsoft says that
schools with a MS School Agreement don't need to do
licence revision when paying for all the machines, also them with Mac
OS, Linux or FreeBSD. The companies school licences has been like this
science 1998 a Microsoft spokesperson has told the press.

Paying Microsoft for using Linux, Mac or FreeBSD has upset a lot of
people. Members of the Parliament has asked questions about the
practice to the The Minister for Competition. The debate about this
was high in the Norwegian computer magazines in December and January
2005/2006 after 12 out of 19 City Councils agreed on the Microsoft
licence terms for schools without a public tender. The Minister wrote
a letter to one municipality. She recommended to report the City
Councils to The Norwegian Governmental Office for Complaints on Public
Tenders. The Norwegian Competition Authority are for time being
investigating Microsoft for their practice. The Competition Authority
says that the schools in Create Britain could not sign this kind of
agreement.

\subsection*{Maintaining free software}

It is a lot of fear, uncertainty and doubt (FUD) spread about
Skolelinux. One of the most important is that it is a voluntary
community effort that will die when the founders get other things to
concern about. Even if the solution is a part of Debian there are a
lot of histories that weakens the perception of our effort. It is
always questions about updates, maintenance, how to start, and
training.  E-mail lists with volunteers is just not good enough. The
schools will need professional support on daytime. Someone to keep
accountable.  That's not so much concerning the
distribution, but more how to get help if something fails or break.

To ensure that people work to a common goal, that's
difficult enough because all the free developers have their own
motivation, and often no money, there is established a foundation that
owns a professional service provider. They working actively to ensure a
sustainable environment in cooperation with different companies and
institutions. Also the international relations are of decisive
importance as: 

\begin{itemize}
\item Custom Debian Distributions with DebianEdu/Skolelinux branches of
active developer communities in France, Germany and Greece. Also the
cooperation with gnuLinEx in Spain (Extremadura), PSL-Brasil in Brasil
and tuxLab in South Africa is of importance
\item LTSP.org and Lessdisks are projects that support diskless
workstations. The work that is done by the developers in (k)ubuntu,
ltsp-team and Skolelinux really gives improved and easy to maintain
client solution
\item edubuntu project is a good thing running ahead improving the
desktop experience. They also want to deliver a municipality wide
server solution for schools in around 12-18 moths. Skolelinux and
Edubuntu developers work together on different project to improve the
offer to the schools

\item Cooperation with resellers of reused computers. They sell
   solutions with making it really easy to acquire Skolelinux
   solutions for a whole school or a municipality

\end{itemize}
All this is done to fight of the impression that you need to be a Unix
operator with sandals and long hair to maintain a large Skolelinux
installation. The main purpose is to get it safe to use free software
in a teaching environment. 

\section*{Recommendations}

In general free software gives a complete solution to the schools
needs both pedagogically and technically. It is of grate importance to
further educate the teachers in using to support an active learning
process with ICT tools in the different subjects. The principals has
to follow up on this because a lot of teachers has forgotten how to
learn new things themselves. The teachers has to spend necessary time
on this, and they has to work through the difficulties they will meet
some part of the distance learning how to use ICT tools actively in
the different subjects.  The activity have nothing to do with the
operating system in use and has to be done independently of what
system that's in use.

The most cost efficient solution is diskless workstation where all the
software is maintained on one server for whole the school. The
operating cost approximately half the price to operate compared to
thin clients or standard workstations. It will require extra effort to
build a network with good enough quality. In the beginning the
building of the network is probably the most expensive part. After
this is built the operational cost consists of around 60-70\% of the
total cost of ownership. To increase the competence in building and
maintain a ICT solution really pays of. It does not be a big price
difference on operating the system using external application provider
compared to run it with municipality employees to run the technical
part of the solution. We recommend an proactive maintenance strategy.

Avoid using graphical terminals as Free NX or Citrix on school wide
installations. This kind of solutions is three times more expensive to
operate than other solutions. Graphical terminals are nice as an
unsupported alternative for pupils using the Skolelinux desktop at
home. It is also used for teachers that uses an administrative
applications from the municipalities administrative network. The
networks are often divided to not mix restricted and personal
information about citizens or pupils. Graphical terminals handles this
nicely. 

Generally there the suppliers has strong self interest when recommending
client solutions to the schools. The functionally and the usability to
the end user programs depends strongly on where the equipment is based
concerning the bandwidth capacity to the schools. The main strategy
should be to operating the systems centrally and place most of the
equipment locally near the users. This will get the most efficient use
of the bandwidth capacity and most functionality out for the clients. 

When building up the ICT solution in the school there must be made a
realistic budget. In Norway there is different standards for
purchasing technical solution in general and special recommendations
made for ICT installations in schools. This is not rocket science and
it is relatively easy to get professional support. Other countries has
also agencies that gives good recommendations for purchasing and
rolling out ICT solutions in schools.

Decides if the pupil should save documents as OpenDocument or MS Word.
When saving in OpenDocument the teachers has to be explained how to
handle the relation to the home, and how it could be solved. Some
municipalities support Free NX to the pupils at their home to families
that have broadband. Others promote use of OpenOffice.org and gives all
the pupils a live CD (Knoppix) with Windows and Linux versions of
different software. Then the OpenDocument is not a big issue.
%\end{document}
